import Chart from 'chart.js/auto';
import { elementOpen, elementClose, elementVoid, text } from 'incremental-dom';
import Header from './Header';

const data = [
  { year: 2010, count: 10 },
  { year: 2011, count: 20 },
  { year: 2012, count: 15 },
  { year: 2013, count: 25 },
  { year: 2014, count: 22 },
  { year: 2015, count: 30 },
  { year: 2016, count: 28 },
];

function App({ ticks=[0,1,2,3,4,5] }) {
  Header();
  elementOpen('div', '', ['class', "chart"]);
    ticks.forEach((tick)=>{
      elementOpen('label'); text(`T_${tick}`); elementClose('label');
      elementVoid('input', tick, ['type',"range",'min',"0",'max',"100"]);
    });
  elementClose('div');
  elementOpen('div', 'barChartContainer', ['style', 'width:800px;']);
    elementOpen('canvas', 'barChart', ['id', 'barChart']);
    elementClose('canvas');
  elementClose('div');

  new Chart(//@ts-ignore
    document.getElementById('barChart'),
    {
      type: 'bar',
      data: {
        labels: data.map(row => row.year),
        datasets: [
          {
            label: 'Acquisitions by year',
            data: data.map(row => row.count)
          }
        ]
      }
    }
  );
}

export default App;